org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor

## Interface IResourceContentsAccessor

All Superinterfaces:
  ICompareAccessor, ITypedElement

All Known Implementing Classes:
  ResourceContentsAccessorImpl

    public interface IResourceContentsAccessor
    extends ICompareAccessor

A specific `ICompareAccessor` for resource contents. This compare accessor known the resource where it comes from.

Since:
  4.0

### Field Summary

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`Resource` `getResource(IMergeViewer.MergeViewerSide side)` Returns the resource of the model involved with the accessor given the side of the content merge viewer for which we want to know the resource.

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.ICompareAccessor

`getComparison, getInitialItem, getItems`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`getImage, getName, getType`

### Method Detail

#### getResource

    Resource getResource(IMergeViewer.MergeViewerSide side)

Returns the resource of the model involved with the accessor given the side of the content merge viewer for which we want to know the resource.

Parameters:
  `side` - the side of the content merge viewer for which we want the resource.
Returns:
  the resource of the model involved with the accessor.